Get new and boosted tokens on DEXes
curl --request POST \
--url https://api.stophy.dev/v1/crypto/dex/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.stophy.dev/v1/crypto/dex/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/crypto/dex/new"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"tokens": [
{
"url": "<string>",
"id": "<string>",
"chain": "<string>",
"description": "<string>",
"image": "<string>",
"banner": "<string>",
"links": [
{
"url": "<string>",
"type": "<string>",
"label": "<string>"
}
],
"boosts": 0,
"totalBoosts": 0,
"claimedAt": "2023-11-07T05:31:56Z",
"pair": {
"url": "<string>",
"transactions": {
"m5": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h1": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h6": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h24": {
"buys": 4503599627370495,
"sells": 4503599627370495
}
},
"id": "<string>",
"chain": "<string>",
"dex": "<string>",
"labels": [
"<string>"
],
"baseToken": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"quoteToken": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"price": 123,
"currency": "<string>",
"priceNative": 123,
"volume": {
"m5": 123,
"h1": 123,
"h6": 123,
"h24": 123
},
"priceChange": {
"m5": 123,
"h1": 123,
"h6": 123,
"h24": 123
},
"liquidity": {
"usd": 123,
"base": 123,
"quote": 123
},
"fullyDilutedValue": 123,
"marketCap": 123,
"createdAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"websites": [
"<string>"
],
"socials": [
{
"url": "<string>",
"type": "<string>"
}
],
"boosts": 0
}
}
]
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Crypto
Crypto new DEX tokens API
Call the Crypto new DEX tokens API to get chain, description, image, banner, links and boosts, as JSON or markdown. 1 credit.
POST
/
v1
/
crypto
/
dex
/
new
Get new and boosted tokens on DEXes
curl --request POST \
--url https://api.stophy.dev/v1/crypto/dex/new \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.stophy.dev/v1/crypto/dex/new', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/crypto/dex/new"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"tokens": [
{
"url": "<string>",
"id": "<string>",
"chain": "<string>",
"description": "<string>",
"image": "<string>",
"banner": "<string>",
"links": [
{
"url": "<string>",
"type": "<string>",
"label": "<string>"
}
],
"boosts": 0,
"totalBoosts": 0,
"claimedAt": "2023-11-07T05:31:56Z",
"pair": {
"url": "<string>",
"transactions": {
"m5": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h1": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h6": {
"buys": 4503599627370495,
"sells": 4503599627370495
},
"h24": {
"buys": 4503599627370495,
"sells": 4503599627370495
}
},
"id": "<string>",
"chain": "<string>",
"dex": "<string>",
"labels": [
"<string>"
],
"baseToken": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"quoteToken": {
"address": "<string>",
"name": "<string>",
"symbol": "<string>"
},
"price": 123,
"currency": "<string>",
"priceNative": 123,
"volume": {
"m5": 123,
"h1": 123,
"h6": 123,
"h24": 123
},
"priceChange": {
"m5": 123,
"h1": 123,
"h6": 123,
"h24": 123
},
"liquidity": {
"usd": 123,
"base": 123,
"quote": 123
},
"fullyDilutedValue": 123,
"marketCap": 123,
"createdAt": "2023-11-07T05:31:56Z",
"image": "<string>",
"websites": [
"<string>"
],
"socials": [
{
"url": "<string>",
"type": "<string>"
}
],
"boosts": 0
}
}
]
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
crypto.dex.new - Returns:
datahastokens. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.crypto.dex.new({});
console.log(result.data.tokens);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.crypto.dex.new()
print(result["data"]["tokens"])
curl -X POST https://api.stophy.dev/v1/crypto/dex/new \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{}'
stophy crypto dex new
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json